# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-compile-resources /usr/bin/glib-genmarshal libgio-devel pkgconfig(libxml-2.0)
# END SourceDeps(oneline)
%define infinity_version 0.5.0

Name:           gedit-collaboration
Version:        3.6.1
Release:        alt2_2
Summary:        Collaboration plugin for gedit

Group:          Editors
License:        GPLv3
URL:            http://projects.gnome.org/gedit
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gedit-collaboration/3.3/%{name}-%{version}.tar.xz

BuildRequires:  gedit-devel
BuildRequires:  gettext
BuildRequires:  libcairo-devel
BuildRequires:  atk-devel
BuildRequires:  intltool
BuildRequires:  libpeas-devel
BuildRequires:  libgtk+3-devel
BuildRequires:  glib2-devel
BuildRequires:  autoconf automake libtool
BuildRequires:  libinfinity-devel >= %{infinity_version}
BuildRequires:  libinfinity-gtk3-devel >= %{infinity_version}
# for glib-compile-schemas
Requires: glib2 >= 2.27.4
Source44: import.info

%description
Collaboration plugin that provides support for collaborative editing in gedit.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %name
find $RPM_BUILD_ROOT/%{_libdir}/gedit/plugins -name "*.la" -exec rm {} \;

%files -f %{name}.lang
%doc README NEWS COPYING
%{_libdir}/gedit/plugins/*
%dir %{_datadir}/gedit/plugins/collaboration
%{_datadir}/gedit/plugins/collaboration/*
%{_datadir}/glib-2.0/schemas/*.xml


%changelog
* Fri Apr 05 2013 Cronbuild Service <cronbuild@altlinux.org> 3.6.1-alt2_2
- rebuild to get rid of unmets

* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_2
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_1
- update to new release by fcimport

* Tue Jan 15 2013 Igor Vlasenko <viy@altlinux.ru> 3.6.0-alt1_1
- initial fc import

